> ## Documentation Index
> Fetch the complete documentation index at: https://doc.bettercontact.rocks/llms.txt
> Use this file to discover all available pages before exploring further.

# Enrich leads

> Create a new enrichment



## OpenAPI

````yaml POST /async
openapi: 3.0.1
info:
  title: BetterContact API
  description: The official BetterContact API to enrich your contacts list and find leads
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.bettercontact.rocks/api/v2
security:
  - apiKey: []
paths:
  /async:
    post:
      description: Create a new enrichment
      parameters: []
      requestBody:
        description: Data to enrich
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewLeadsEnrichment'
      responses:
        '201':
          description: Enrichment task created
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  id:
                    type: string
                    example: your-request-id
                  message:
                    type: string
                    example: Processing...
        '401':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
      security:
        - apiKey: []
components:
  schemas:
    NewLeadsEnrichment:
      type: object
      properties:
        data:
          description: 'Array of leads to enrich. Minimum: 1 lead. Maximum: 100 leads.'
          type: array
          items:
            type: object
            properties:
              first_name:
                type: string
                description: First name of the contact
              last_name:
                type: string
                description: Last name of the contact
              company:
                type: string
                description: >-
                  Company name of the contact (not required if company domain is
                  provided).
              company_domain:
                type: string
                description: >-
                  Company domain of the contact (required if company name not
                  provided).
              linkedin_url:
                type: string
                description: >-
                  Linkedin profile url of the contact (public url is required -
                  recommended if phone number enrichment is requested).
              custom_fields:
                type: object
                description: >-
                  Can be any relevant data you want to be back in the response
                  like CRM id or unique identifier. The following data (uuid,
                  list_name) is just an example
                properties:
                  uuid:
                    type: string
                  list_name:
                    type: string
            required:
              - first_name
              - last_name
              - company
        enrich_email_address:
          description: If true, work email address of the contact will be enriched.
          type: boolean
        enrich_phone_number:
          description: If true, direct phone number of the contact will be enriched.
          type: boolean
        webhook:
          description: >-
            You can provide a webhook URL where results will be pushed once
            enrichment is done.
          type: string
        process_flow:
          description: >-
            Add the process flow ID to use for your enrichment, if subscribed to
            the process flow add-on.
          type: string
      required:
        - data
        - enrich_email_address
        - enrich_phone_number
    UnauthorizedError:
      type: object
      properties:
        error:
          type: string
          example: Unauthorized
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key

````